<?php

/*
 * This file is part of the Sylius package.
 *
 * (c) Paweł Jędrzejewski
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace spec\Sylius\Bundle\ThemeBundle\Factory;

use PhpSpec\ObjectBehavior;
use Sylius\Bundle\ThemeBundle\Factory\FinderFactory;
use Sylius\Bundle\ThemeBundle\Factory\FinderFactoryInterface;
use Symfony\Component\Finder\Finder;

/**
 * @mixin FinderFactory
 *
 * @author Kamil Kokot <kamil.kokot@lakion.com>
 */
final class FinderFactorySpec extends ObjectBehavior
{
    function it_is_initializable()
    {
        $this->shouldHaveType(FinderFactory::class);
    }

    function it_implements_finder_factory_interface()
    {
        $this->shouldImplement(FinderFactoryInterface::class);
    }

    function it_creates_a_brand_new_finder()
    {
        $this->create()->shouldHaveType(Finder::class);
    }
}
